[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabSheet.Top

Top coordinate for the tab sheet in the visible area of the parent page control.

## Declaration

Source position: comctrls.pp line 552

`published property TTabSheet.Top : Integer stored False;`

## Description

Top is a published Integer property in TTabSheet. It contains the vertical coordinate for the tab sheet within the visible area for the parent page control.

The value in Top is not stored in the LCL component streaming mechanism, and changing the value in Top has no effect. The origin (Left, Top) and dimensions (Width, Height) for the tab sheet are determined when the parent control (TPageControl) is resized. Top is always set to 0 (zero).

## See also

#lcl.comctrls.TCustomPage.Top |  | Not stored in LCL component streaming for TCustomPage.